Index: doc/groups.dox
===================================================================
--- doc/groups.dox	(revision 192)
+++ doc/groups.dox	(revision 209)
@@ -1,5 +1,5 @@
-/* -*- C++ -*-
+/* -*- mode: C++; indent-tabs-mode: nil; -*-
  *
- * This file is a part of LEMON, a generic C++ optimization library
+ * This file is a part of LEMON, a generic C++ optimization library.
  *
  * Copyright (C) 2003-2008
@@ -27,8 +27,8 @@
 \brief Graph structures implemented in LEMON.
 
-The implementation of combinatorial algorithms heavily relies on 
-efficient graph implementations. LEMON offers data structures which are 
-planned to be easily used in an experimental phase of implementation studies, 
-and thereafter the program code can be made efficient by small modifications. 
+The implementation of combinatorial algorithms heavily relies on
+efficient graph implementations. LEMON offers data structures which are
+planned to be easily used in an experimental phase of implementation studies,
+and thereafter the program code can be made efficient by small modifications.
 
 The most efficient implementation of diverse applications require the
@@ -41,19 +41,19 @@
 some graph features like arc/edge or node deletion.
 
-Alteration of standard containers need a very limited number of 
-operations, these together satisfy the everyday requirements. 
-In the case of graph structures, different operations are needed which do 
-not alter the physical graph, but gives another view. If some nodes or 
+Alteration of standard containers need a very limited number of
+operations, these together satisfy the everyday requirements.
+In the case of graph structures, different operations are needed which do
+not alter the physical graph, but gives another view. If some nodes or
 arcs have to be hidden or the reverse oriented graph have to be used, then
-this is the case. It also may happen that in a flow implementation 
-the residual graph can be accessed by another algorithm, or a node-set 
-is to be shrunk for another algorithm. 
-LEMON also provides a variety of graphs for these requirements called 
-\ref graph_adaptors "graph adaptors". Adaptors cannot be used alone but only 
-in conjunction with other graph representations. 
+this is the case. It also may happen that in a flow implementation
+the residual graph can be accessed by another algorithm, or a node-set
+is to be shrunk for another algorithm.
+LEMON also provides a variety of graphs for these requirements called
+\ref graph_adaptors "graph adaptors". Adaptors cannot be used alone but only
+in conjunction with other graph representations.
 
 You are free to use the graph structure that fit your requirements
 the best, most graph algorithms and auxiliary data structures can be used
-with any graph structures. 
+with any graph structures.
 */
 
@@ -64,10 +64,10 @@
 
 This group describes some graph types between real graphs and graph adaptors.
-These classes wrap graphs to give new functionality as the adaptors do it. 
+These classes wrap graphs to give new functionality as the adaptors do it.
 On the other hand they are not light-weight structures as the adaptors.
 */
 
 /**
-@defgroup maps Maps 
+@defgroup maps Maps
 @ingroup datas
 \brief Map structures implemented in LEMON.
@@ -80,5 +80,5 @@
 
 /**
-@defgroup graph_maps Graph Maps 
+@defgroup graph_maps Graph Maps
 @ingroup maps
 \brief Special graph-related maps.
@@ -116,12 +116,12 @@
     }
   }
-  
+
   Digraph::NodeMap<int> degree_map(graph);
-  
+
   digraphToEps(graph, "graph.eps")
     .coords(coords).scaleToA4().undirected()
     .nodeColors(composeMap(functorToMap(nodeColor), degree_map))
     .run();
-\endcode 
+\endcode
 The \c functorToMap() function makes an \c int to \c Color map from the
 \e nodeColor() function. The \c composeMap() compose the \e degree_map
@@ -141,5 +141,5 @@
   typedef DivMap<DoubleArcMap, DoubleArcMap> TimeMap;
   TimeMap time(length, speed);
-  
+
   Dijkstra<Digraph, TimeMap> dijkstra(graph, time);
   dijkstra.run(source, target);
@@ -153,5 +153,5 @@
 
 /**
-@defgroup matrices Matrices 
+@defgroup matrices Matrices
 @ingroup datas
 \brief Two dimensional data storages implemented in LEMON.
@@ -201,5 +201,5 @@
 \brief Common graph search algorithms.
 
-This group describes the common graph search algorithms like 
+This group describes the common graph search algorithms like
 Breadth-first search (Bfs) and Depth-first search (Dfs).
 */
@@ -213,7 +213,7 @@
 */
 
-/** 
-@defgroup max_flow Maximum Flow algorithms 
-@ingroup algs 
+/**
+@defgroup max_flow Maximum Flow algorithms
+@ingroup algs
 \brief Algorithms for finding maximum flows.
 
@@ -232,5 +232,5 @@
 
 LEMON contains several algorithms for solving maximum flow problems:
-- \ref lemon::EdmondsKarp "Edmonds-Karp" 
+- \ref lemon::EdmondsKarp "Edmonds-Karp"
 - \ref lemon::Preflow "Goldberg's Preflow algorithm"
 - \ref lemon::DinitzSleatorTarjan "Dinitz's blocking flow algorithm with dynamic trees"
@@ -251,10 +251,10 @@
 
 This group describes the algorithms for finding minimum cost flows and
-circulations.  
-*/
-
-/**
-@defgroup min_cut Minimum Cut algorithms 
-@ingroup algs 
+circulations.
+*/
+
+/**
+@defgroup min_cut Minimum Cut algorithms
+@ingroup algs
 
 \brief Algorithms for finding minimum cut in graphs.
@@ -273,5 +273,5 @@
 
 - \ref lemon::HaoOrlin "Hao-Orlin algorithm" to calculate minimum cut
-  in directed graphs  
+  in directed graphs
 - \ref lemon::NagamochiIbaraki "Nagamochi-Ibaraki algorithm" to
   calculate minimum cut in undirected graphs
@@ -308,5 +308,5 @@
 
 /**
-@defgroup matching Matching algorithms 
+@defgroup matching Matching algorithms
 @ingroup algs
 \brief Algorithms for finding matchings in graphs and bipartite graphs.
@@ -315,5 +315,5 @@
 matchings in graphs and bipartite graphs. The general matching problem is
 finding a subset of the arcs which does not shares common endpoints.
- 
+
 There are several different algorithms for calculate matchings in
 graphs.  The matching problems in bipartite graphs are generally
@@ -324,14 +324,14 @@
 
 Lemon contains the next algorithms:
-- \ref lemon::MaxBipartiteMatching "MaxBipartiteMatching" Hopcroft-Karp 
-  augmenting path algorithm for calculate maximum cardinality matching in 
+- \ref lemon::MaxBipartiteMatching "MaxBipartiteMatching" Hopcroft-Karp
+  augmenting path algorithm for calculate maximum cardinality matching in
   bipartite graphs
-- \ref lemon::PrBipartiteMatching "PrBipartiteMatching" Push-Relabel 
-  algorithm for calculate maximum cardinality matching in bipartite graphs 
-- \ref lemon::MaxWeightedBipartiteMatching "MaxWeightedBipartiteMatching" 
-  Successive shortest path algorithm for calculate maximum weighted matching 
+- \ref lemon::PrBipartiteMatching "PrBipartiteMatching" Push-Relabel
+  algorithm for calculate maximum cardinality matching in bipartite graphs
+- \ref lemon::MaxWeightedBipartiteMatching "MaxWeightedBipartiteMatching"
+  Successive shortest path algorithm for calculate maximum weighted matching
   and maximum weighted bipartite matching in bipartite graph
-- \ref lemon::MinCostMaxBipartiteMatching "MinCostMaxBipartiteMatching" 
-  Successive shortest path algorithm for calculate minimum cost maximum 
+- \ref lemon::MinCostMaxBipartiteMatching "MinCostMaxBipartiteMatching"
+  Successive shortest path algorithm for calculate minimum cost maximum
   matching in bipartite graph
 - \ref lemon::MaxMatching "MaxMatching" Edmond's blossom shrinking algorithm
@@ -397,6 +397,6 @@
 */
 
-/** 
-@defgroup lp_utils Tools for Lp and Mip solvers 
+/**
+@defgroup lp_utils Tools for Lp and Mip solvers
 @ingroup lp_group
 \brief Helper tools to the Lp and Mip solvers.
@@ -415,5 +415,5 @@
 
 /**
-@defgroup utils Tools and Utilities 
+@defgroup utils Tools and Utilities
 \brief Tools and utilities for programming in LEMON
 
@@ -468,5 +468,5 @@
 \brief Graph Input-Output methods
 
-This group describes the tools for importing and exporting graphs 
+This group describes the tools for importing and exporting graphs
 and graph related data. Now it supports the LEMON format, the
 \c DIMACS format and the encapsulated postscript (EPS) format.
@@ -487,5 +487,5 @@
 
 This group describes general \c EPS drawing methods and special
-graph exporting tools. 
+graph exporting tools.
 */
 
@@ -499,5 +499,5 @@
 
 The purpose of the classes in this group is fourfold.
- 
+
 - These classes contain the documentations of the concepts. In order
   to avoid document multiplications, an implementation of a concept
@@ -552,8 +552,8 @@
 @defgroup tools Standalone utility applications
 
-Some utility applications are listed here. 
+Some utility applications are listed here.
 
 The standard compilation procedure (<tt>./configure;make</tt>) will compile
-them, as well. 
-*/
-
+them, as well.
+*/
+
